Skip to main content
`Ctrl`+`K`

# pandas.core.window.rolling.Rolling.count

Rolling.count(numeric_only=False)

  Calculate the rolling count of non NaN observations.

  Parameters:
    numeric_only bool, default False

      Include only float, int, boolean columns.

      Added in version 1.5.0.

  Returns:
    Series or DataFrame

      Return type is the same as the original object with `np.float64` dtype.

  See also

  `pandas.Series.rolling`

    Calling rolling with Series data.

  `pandas.DataFrame.rolling`

    Calling rolling with DataFrames.

  `pandas.Series.count`

    Aggregating count for Series.

  `pandas.DataFrame.count`

    Aggregating count for DataFrame.

  Examples

      >>> s = pd.Series([2, 3, np.nan, 10])
      >>> s.rolling(2).count()
      0    NaN
      1    2.0
      2    1.0
      3    1.0
      dtype: float64
      >>> s.rolling(3).count()
      0    NaN
      1    NaN
      2    2.0
      3    2.0
      dtype: float64
      >>> s.rolling(4).count()
      0    NaN
      1    NaN
      2    NaN
      3    3.0
      dtype: float64